=== debian/changelog ===
cminpack (1.3.4-4) unstable; urgency=low

  * Fix CI test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Oct 2015 10:52:32 +0200

cminpack (1.3.4-3) unstable; urgency=low

  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Include CI tests

 -- Ole Streicher <olebole@debian.org>  Thu, 15 Oct 2015 11:40:27 +0200

cminpack (1.3.4-2) unstable; urgency=low

  * Fix FTBS on several platforms

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 29 May 2014 10:01:08 +0200

cminpack (1.3.4-1) unstable; urgency=low

  * New upstream version
  * Run test suite during build

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 28 May 2014 15:48:50 +0200

cminpack (1.3.3-1) unstable; urgency=low

  * New upstream version.
  * New maintainer. Closes: #726617
  * Migrate repository from svn to git
  * Push Standards-Version to 3.9.5. No changes needed.
  * Change library package name to libcminpack1

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 13 May 2014 11:11:17 +0200
