=== debian/control ===
Source: cminpack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.6
Homepage: http://devernay.free.fr/hacks/cminpack/index.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/cminpack.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/cminpack.git

Package: libcminpack-dev
Section: libdevel
Architecture: any
Depends: libcminpack1 (= ${binary:Version}), ${misc:Depends}
Recommends: minpack-dev
Description: Nonlinear equations and nonlinear least squares problems - development
 Minpack includes software for solving nonlinear equations and nonlinear least
 squares problems. Five algorithmic paths each include a core subroutine and an
 easy-to-use driver. The algorithms proceed either from an analytic
 specification of the Jacobian matrix or directly from the problem functions.
 The paths include facilities for systems of equations with a banded Jacobian
 matrix, for least squares problems with a large amount of data, and for
 checking the consistency of the Jacobian matrix with the functions.
 .
 This is the C re-write of the original fortran minpack implementation.
 .
 This package contains development files needed to build cminpack applications.

Package: libcminpack1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Nonlinear equations and nonlinear least squares problems - runtime
 Minpack includes software for solving nonlinear equations and nonlinear least
 squares problems. Five algorithmic paths each include a core subroutine and an
 easy-to-use driver. The algorithms proceed either from an analytic
 specification of the Jacobian matrix or directly from the problem functions.
 The paths include facilities for systems of equations with a banded Jacobian
 matrix, for least squares problems with a large amount of data, and for
 checking the consistency of the Jacobian matrix with the functions.
 .
 This is the C re-write of the original fortran minpack implementation.
 .
 This package contains the libraries needed to run cminpack applications.

Package: cminpack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Nonlinear equations and nonlinear least squares problems (doc)
 Minpack includes software for solving nonlinear equations and nonlinear least
 squares problems. Five algorithmic paths each include a core subroutine and an
 easy-to-use driver. The algorithms proceed either from an analytic
 specification of the Jacobian matrix or directly from the problem functions.
 The paths include facilities for systems of equations with a banded Jacobian
 matrix, for least squares problems with a large amount of data, and for
 checking the consistency of the Jacobian matrix with the functions.
 .
 This is the C re-write of the original fortran minpack implementation.
 .
 This package contains documentation files for cminpack.
