## cminpack 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include(${PROJECT_SOURCE_DIR}/cmake/cminpack_utils.cmake)
 # Set version and OS-specific settings
-set(CMINPACK_VERSION 1.3.4 CACHE STRING "CMinpack version")
+set(CMINPACK_VERSION 1.3.6 CACHE STRING "CMinpack version")
 set(CMINPACK_SOVERSION 1 CACHE STRING "CMinpack API version")
 DISSECT_VERSION()
 GET_OS_INFO()
@@ -20,28 +20,33 @@
 
 enable_testing()
 
-if (OS_LINUX)
+if (OS_LINUX OR ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
   option (USE_FPIC "Use the -fPIC compiler flag." ON)
 else (OS_LINUX)
   option (USE_FPIC "Use the -fPIC compiler flag." OFF)
 endif (OS_LINUX)
 
-option (SHARED_LIBS "Build shared libraries instead of static." OFF)
-if (SHARED_LIBS)
+option (BUILD_SHARED_LIBS "Build shared libraries instead of static." OFF)
+if (BUILD_SHARED_LIBS)
   message (STATUS "Building shared libraries.")
-  set (LIB_TYPE SHARED)
-else (SHARED_LIBS)
+else ()
   message (STATUS "Building static libraries.")
-  set (LIB_TYPE STATIC)
+  set(CMAKE_RELEASE_POSTFIX _s)
+  set(CMAKE_RELWITHDEBINFO_POSTFIX _s)
+  set(CMAKE_DEBUG_POSTFIX _s)
+  set(CMAKE_MINSIZEREL_POSTFIX _s)
   if(WIN32)
     add_definitions(-DCMINPACK_NO_DLL)
   endif(WIN32)
-endif (SHARED_LIBS)
+endif ()
+
+option(USE_BLAS "Compile cminpack using a blas library if possible" ON)
 
 #set(CMAKE_INSTALL_PREFIX ${PROJECT_SOURCE_DIR}/../build)
 
-add_subdirectory (cmake)
-add_subdirectory (examples)
+if(NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
+  include_directories(${CMAKE_PREFIX_PATH}/include)
+endif()
 
 set (cminpack_srcs
   cminpack.h cminpackP.h
@@ -56,18 +61,37 @@
 set (cminpack_hdrs
     cminpack.h minpack.h)
 
-add_library (cminpack ${LIB_TYPE} ${cminpack_srcs})
+add_library (cminpack ${cminpack_srcs})
 
-install (TARGETS cminpack 
+if (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
+  TARGET_LINK_LIBRARIES(cminpack m)
+endif()
+
+# Link with a BLAS library if requested
+if (USE_BLAS)
+  if (NOT BUILD_SHARED_LIBS)
+    set(BLA_STATIC True)
+  endif()
+  find_package(BLAS)
+  if (BLAS_FOUND)
+    target_link_libraries(cminpack PUBLIC ${BLAS_LIBRARIES})
+    set_target_properties(cminpack PROPERTIES LINK_FLAGS "${BLAS_LINKER_FLAGS}")
+    target_compile_definitions(cminpack PUBLIC -DUSE_CBLAS)
+  endif()
+endif()
+
+install (TARGETS cminpack
    LIBRARY DESTINATION ${CMINPACK_LIB_INSTALL_DIR} COMPONENT library
    ARCHIVE DESTINATION ${CMINPACK_LIB_INSTALL_DIR} COMPONENT library
-   RUNTIME DESTINATION ${CMINPACK_LIB_INSTALL_DIR} COMPONENT library)
+   RUNTIME DESTINATION bin COMPONENT library)
 install (FILES ${cminpack_hdrs} DESTINATION ${CMINPACK_INCLUDE_INSTALL_DIR}
     COMPONENT cminpack_hdrs)
 
-if (USE_FPIC AND NOT SHARED_LIBS)
+if (USE_FPIC AND NOT BUILD_SHARED_LIBS)
   set_target_properties (cminpack PROPERTIES COMPILE_FLAGS -fPIC)
-endif (USE_FPIC AND NOT SHARED_LIBS)
+endif ()
 
 set_target_properties(cminpack PROPERTIES VERSION ${CMINPACK_VERSION} SOVERSION ${CMINPACK_SOVERSION})
 
+add_subdirectory (cmake)
+add_subdirectory (examples)
