=== debian/changelog ===
cminpack (1.3.6-6) unstable; urgency=medium

  * Team upload.
  * Bump CMake policy version (Closes: #1112798)

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:34:42 +0200

cminpack (1.3.6-5) unstable; urgency=medium

  * Push Standards-Version to 4.6.2. No changes
  * Push dh-compat to 13. Remove debian/compat
  * Install CMake file for cminpack
  * Add gitlab-ci.yml
  * Disable failing tests
  * Add lintian overrides for false positive
  * Add LDFLAGS to examples Makefile

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2022 16:27:09 +0100

cminpack (1.3.6-4) unstable; urgency=medium

  * Further decrease of required CI accuracy
  * Push Standards-Version to 4.3.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 23 Dec 2018 23:33:02 +0100

cminpack (1.3.6-3) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Decrease required accuracy for CI tests. Closes: #907720
  * Push Standards-Version to 4.2.1. Change d/copyright format URL to https
  * Push compat to 11
  * Fix repository URL

 -- Ole Streicher <olebole@debian.org>  Sat, 22 Dec 2018 21:34:59 +0100

cminpack (1.3.6-2) unstable; urgency=low

  * Support DEB_BUILD_OPTIONS=nocheck (Closes: #861988)

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 14:31:30 +0200

cminpack (1.3.6-1) unstable; urgency=low

  * New upstream version
  * Push standards-version to 4.0.0. Update VCS urls to https
  * Add Repository and Bug-Database to d/u/metadata

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 17:45:21 +0200
