=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: cminpack
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13),
+               cmake
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/science-team/cminpack
+Vcs-Git: https://salsa.debian.org/science-team/cminpack.git
 Homepage: http://devernay.free.fr/hacks/cminpack/index.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/cminpack.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/cminpack.git
 
 Package: libcminpack-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Depends: libcminpack1 (= ${binary:Version}), ${misc:Depends}
+Depends: libcminpack1 (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: minpack-dev
 Description: Nonlinear equations and nonlinear least squares problems - development
  Minpack includes software for solving nonlinear equations and nonlinear least
@@ -29,7 +32,9 @@
 
 Package: libcminpack1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Nonlinear equations and nonlinear least squares problems - runtime
  Minpack includes software for solving nonlinear equations and nonlinear least
@@ -45,8 +50,9 @@
  This package contains the libraries needed to run cminpack applications.
 
 Package: cminpack-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Description: Nonlinear equations and nonlinear least squares problems (doc)
  Minpack includes software for solving nonlinear equations and nonlinear least
