=== debian/tests/control ===
Tests: cminpack-test
Depends: libcminpack-dev, gcc, libc6-dev
