=== debian/watch ===
version=3
http://devernay.free.fr/hacks/cminpack/index.html cminpack-(.*)\.tar\.gz
